<?php

use Faker\Factory;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class MediumsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('t_medium')->delete();

        /*DB::table('t_source_type')->insert(

            array(
                'name' => 'Andreas',
                'location' => 'Giese',
                'leading_lang' => 'end',
            )
        );*/

        for($i = 1; $i < 10; $i++) {

            $faker = Faker\Factory::create();

            DB::table('t_medium')->insert(

                array(
                    'searchword_DE' => $faker->word,
                    'searchword_EN' => $faker->word,
                    'searchword_FR' => $faker->word,
                    'category' => $faker->word,
                ));
        }
    }
}
